/**
 * DstIndex 部件模型
 *
 * @export
 * @class DstIndexModel
 */
export default class DstIndexModel {

    /**
     * 菜单项集合
     *
     * @public
     * @type {any[]}
     * @memberof DstIndexModel
     */
    public items: any[] = [
        {
	id: '74a33204e965b655cae5e019a39cee5f',
	name: 'menuitem2',
	text: '数据源',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据源',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc2',
	resourcetag: '',
	authtag:'web-dstIndex-menuitem2',
},
        {
	id: 'b9f1d604d37a54d51660aee235359816',
	name: 'menuitem1',
	text: '实体',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc',
	resourcetag: '',
	authtag:'web-dstIndex-menuitem1',
},
        {
	id: '79a83249232b5b664331e51872836aae',
	name: 'menuitem9',
	text: '模型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '模型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc9',
	resourcetag: '',
	authtag:'web-dstIndex-menuitem9',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @public
	 * @type {any[]}
	 * @memberof DstIndexModel
	 */
	public funcs: any[] = [
        {
            appfunctag: 'AppFunc9',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'metamodelgridview',
            deResParameters: [],
            routepath: '/dstindex/:dstindex?/metamodels/:metamodel?/gridview/:gridview?',
            parameters: [
                { pathName: 'metamodels', parameterName: 'metamodel' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc2',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'dstdatasourcegridview',
            deResParameters: [],
            routepath: '/dstindex/:dstindex?/dstdatasources/:dstdatasource?/gridview/:gridview?',
            parameters: [
                { pathName: 'dstdatasources', parameterName: 'dstdatasource' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'metaentitygridview',
            deResParameters: [],
            routepath: '/dstindex/:dstindex?/metaentities/:metaentity?/gridview/:gridview?',
            parameters: [
                { pathName: 'metaentities', parameterName: 'metaentity' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof DstIndexModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof DstIndexModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}